#mRNA_miRNA matrix of SCCs

gexp <-  read.delim("./data/GBM_mRNA_exp_select.txt",header=FALSE)
mirna_exp <- read.delim("./data/GBM_miRNA_tumor.txt",header=FALSE)
temp <- rbind(gexp,mirna_exp)
cor_mat <- cor(t(temp), method = "spearman",use="pairwise.complete.obs")
sub_cor_mat_mRNA <- cor_mat[1:nrow(gexp), -(1:nrow(gexp))]


#protein_miRNA matrix of SCCs

gexp <-  read.delim("./data/GBM_protein_exp_select.txt",header=FALSE)
mirna_exp <- read.delim("./data/GBM_miRNA_tumor.txt",header=FALSE)
temp <- rbind(gexp,mirna_exp)
cor_mat <- cor(t(temp), method = "spearman",use="pairwise.complete.obs")
sub_cor_mat_protein <- cor_mat[1:nrow(gexp), -(1:nrow(gexp))]



# Normalization

table1<- sub_cor_mat_mRNA
table2<- sub_cor_mat_protein


#table<- rbind(table1,table2)

result1 <- table1
result2 <- table2

cm1 <- apply(table1,1,mean)
csd1 <- apply(table1,1,sd)

cm2 <- apply(table2,1,mean)
csd2 <- apply(table2,1,sd)


for(i in 1:nrow(table1))
{
	result1[i,] <- (table1[i,] - cm1[i]) / csd1[i]	
}

for(i in 1:nrow(table2))
{
	result2[i,] <- (table2[i,] - cm2[i]) / csd2[i]	
}


write.table(result1,"./result/GBM_mRNA_miRNA_norm_mat.txt",col.names=FALSE,row.names=FALSE,sep="\t")
write.table(result2,"./result/GBM_protein_miRNA_norm_mat.txt",col.names=FALSE,row.names=FALSE,sep="\t")




